Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598867 - spice-usb-redirector: clean shared-but-not-conneced devices when unplugged
Summary: spice-usb-redirector: clean shared-but-not-conneced devices when unplugged
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: spice-usb-redirector
Version: 5.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Gal Hammer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 08:57 UTC by Uri Lublin
Modified: 2011-06-15 14:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-27 12:34:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Uri Lublin 2010-06-02 08:57:53 UTC
Description of problem:
When a usb device is unplugged, spice-usb-redirector cleans it nicely if it was already connected to a USB-client (a VM). But in an unlikely case (that may happen), when the device is unplugged after it was decided to share it but before it was actually connected to a USB-client (e.g. still in _share_devices list) it might not be nicely cleaned.

Version-Release number of selected component (if applicable):
spice-usb-redirector-4.5-2.el5

Additional info:
This problem was found by looking at the code and not by testing. I'm not sure how easy/hard it is to actually reproduce the problem.

Comment 5 RHEL Product and Program Management 2011-02-27 12:34:58 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.